
package de.ivu.elect.business.stimmeingabe.entity;

public enum StimmeingabePlausiStatus {

  AKTIVIERT {

    @Override
    public boolean isBerechneFiktiveUndSollWerte() {
      return true;
    }

    @Override
    public boolean isPlausibilisiereStimmeingabe() {
      return true;
    }
  },

  NUR_PLAUSIBILISIERUNG_STIMMEINGABE {

    @Override
    public boolean isBerechneFiktiveUndSollWerte() {
      return false;
    }

    @Override
    public boolean isPlausibilisiereStimmeingabe() {
      return true;
    }
  },

  NUR_BERECHNUNG_FIKTIVE_UND_SOLLWERTE {

    @Override
    public boolean isBerechneFiktiveUndSollWerte() {
      return true;
    }

    @Override
    public boolean isPlausibilisiereStimmeingabe() {
      return false;
    }
  },

  DEAKTIVIERT {

    @Override
    public boolean isBerechneFiktiveUndSollWerte() {
      return false;
    }

    @Override
    public boolean isPlausibilisiereStimmeingabe() {
      return false;
    }
  };

  public abstract boolean isBerechneFiktiveUndSollWerte();

  public abstract boolean isPlausibilisiereStimmeingabe();
}
